import { jsx } from "react/jsx-runtime";
import { TokenWELL as TokenWELL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenWELL = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "WELL", "data-name": "TokenWELL", ...props, children: /* @__PURE__ */ jsx(TokenWELL$1, { variant }) });
  }
);
TokenWELL.displayName = "TokenWELL";
Object.assign(TokenWELL, { isGdsIcon: true });
export {
  TokenWELL
};
